Skip to main content
GET
/
v1
/
templates
List templates
curl --request GET \
  --url https://api.propal.io/v1/templates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "category": "<string>",
      "image": "<string>",
      "color": "<string>",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "<string>"
    }
  ],
  "pagination": {
    "has_more": true,
    "next_cursor": "<string>",
    "total_count": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.propal.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key in format: pp_live_xxxxxxxxxxxxxxxxxxxxxxxx

Query Parameters

limit
string
default:25
after
string
category
string

Response

Template list

data
object[]
required
pagination
object
required